﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.BaseExtensions
{
    /// <summary>
    /// 警告异常
    /// </summary>
    public class WarnException : Exception
    {
        /// <summary>
        /// 报告WCS
        /// </summary>
        public bool REPORTWCS { get; set; }

        /// <summary>
        /// 报告WMS
        /// </summary>
        public bool REPORTWMS { get; set; }

        /// <summary>
        /// 记录文本日志
        /// </summary>
        public bool RECORDTXT { get; set; }

        /// <summary>
        /// 记录数据库
        /// </summary>
        public bool RECORDDB { get; set; }

        /// <summary>
        /// 警告异常 默认都记录
        /// </summary>
        /// <param name="message"></param>
        public WarnException(string message) : base(message)
        {
            REPORTWCS = true;
            REPORTWMS = true;
            RECORDTXT = true;
            RECORDDB = true;
        }

        /// <summary>
        /// 警告异常，自定义上报
        /// </summary>
        /// <param name="message"></param>
        /// <param name="rEPORTWCS"></param>
        /// <param name="rEPORTWMS"></param>
        /// <param name="rECORDTXT"></param>
        public WarnException(string message, bool rEPORTWCS, bool rEPORTWMS, bool rECORDTXT, bool rECORDDB) : base(message)
        {
            REPORTWCS = rEPORTWCS;
            REPORTWMS = rEPORTWMS;
            RECORDTXT = rECORDTXT;
            RECORDDB = rECORDDB;
        }
    }

    /// <summary>
    /// 执行记录
    /// </summary>
    public class DoException : Exception
    {
        /// <summary>
        /// 警告异常
        /// </summary>
        /// <param name="message"></param>
        public DoException(string message) : base(message)
        {
        }
    }
}
