﻿using HslCommunication.Core;
using WCS.Entity;

namespace WCS.Core.DataTrans
{
    public interface IPlcAccessorCreater
    {
        IReadWriteNet Create(WCS_PLC data);
    }

    public interface IPlcAccessor : IReadWriteNet
    {
        void WriteBytes(ushort db, ushort address, byte[] data);

        byte[] ReadBytes(ushort db, ushort address, ushort length, ushort dataLength);
    }

    public class PlcAccessor : EntityEx<WCS_PLC>
    {
        public static IPlcAccessorCreater Creater;
        public IPlcAccessor Accessor { get; private set; }

        public PlcAccessor(WCS_PLC entity) : base(entity)
        {
            Accessor = (IPlcAccessor)Creater.Create(entity);
        }
    }
}
