﻿using WCS.Entity.Protocol.RGV;

namespace WCS.Entity.Protocol
{
    /// <summary>
    /// RGV 写入协议 后缀 _1=1工位 _2=2工位
    /// </summary>
    public interface IRGV520 : IProtocol
    {
        #region 一工位

        /// <summary>
        /// WCS任务号1
        /// </summary>
        int TaskID_1 { get; set; }

        /// <summary>
        /// 任务类型
        /// </summary>
        RGVTaskType TaskType_1 { get; set; }

        /// <summary>
        /// 起始地址
        /// 环穿RGV无起始地址，只有目标地址
        /// </summary>
        short StartPosition_1 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        short DestPosition_1 { get; set; }

        /// <summary>
        /// 优先
        /// </summary>
        short Priority_1 { get; set; }

        /// <summary>
        /// 备用
        /// </summary>
        short RES1_1 { get; set; }

        /// <summary>
        /// 备用
        /// </summary>
        short RES2_1 { get; set; }

        /// <summary>
        /// 触发信号 在通讯协议中为VoucherNo_1
        /// </summary>
        int Trigger_1 { get; set; }

        #endregion 一工位

        #region 二工位

        /// <summary>
        /// WCS任务号
        /// </summary>
        int TaskID_2 { get; set; }

        /// <summary>
        /// 任务类型
        /// </summary>
        RGVTaskType TaskType_2 { get; set; }

        /// <summary>
        /// 起始地址
        /// 环穿RGV无起始地址，只有目标地址
        /// </summary>
        short StartPosition_2 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        short DestPosition_2 { get; set; }

        /// <summary>
        /// 优先
        /// </summary>
        short Priority_2 { get; set; }

        /// <summary>
        /// WCS处理完任务时写入的反馈信号
        /// </summary>
        short RES1_2 { get; set; }

        /// <summary>
        /// WCS处理完任务时写入的反馈信号
        /// </summary>
        short RES2_2 { get; set; }

        /// <summary>
        /// 触发信号 在通讯协议中为VoucherNo_2
        /// </summary>
        int Trigger_2 { get; set; }

        #endregion 二工位
    }
}