﻿using SqlSugar;
using System.Runtime.Serialization;
using WCS.Entity.Protocol.RGV;

namespace WCS.Entity.Protocol
{
    /// <summary>
    /// RGV 读取记录表 后缀 _1=1工位 _2=2工位
    /// </summary>
    [SugarTable(nameof(WCS_RGV520), "RGV 读取记录表 后缀 _1=1工位 _2=2工位 ")]
    [DataContract]
    public class WCS_RGV520 : WCS_PROTOCOLDATA, IRGV520
    {
        [SugarColumn(ColumnDescription = "WCS任务号")]
        [DataMember(Order = 0)]
        public int TaskID_1 { get; set; }

        [SugarColumn(ColumnDescription = "任务类型")]
        [DataMember(Order = 1)]
        public RGVTaskType TaskType_1 { get; set; }

        [SugarColumn(ColumnDescription = "起始地址环穿RGV无起始地址，只有目标地址")]
        [DataMember(Order = 2)]
        public short StartPosition_1 { get; set; }

        [SugarColumn(ColumnDescription = "目标地址")]
        [DataMember(Order = 3)]
        public short DestPosition_1 { get; set; }

        [SugarColumn(ColumnDescription = "优先")]
        [DataMember(Order = 4)]
        public short Priority_1 { get; set; }

        [SugarColumn(ColumnDescription = "备用")]
        [DataMember(Order = 5)]
        public short RES1_1 { get; set; }

        [SugarColumn(ColumnDescription = "备用")]
        [DataMember(Order = 6)]
        public short RES2_1 { get; set; }

        [SugarColumn(ColumnDescription = "触发")]
        [DataMember(Order = 7)]
        public int Trigger_1 { get; set; }

        [SugarColumn(ColumnDescription = "WCS任务号")]
        [DataMember(Order = 8)]
        public int TaskID_2 { get; set; }

        [SugarColumn(ColumnDescription = "任务类型")]
        [DataMember(Order = 9)]
        public RGVTaskType TaskType_2 { get; set; }

        [SugarColumn(ColumnDescription = "起始地址环穿RGV无起始地址，只有目标地址")]
        [DataMember(Order = 10)]
        public short StartPosition_2 { get; set; }

        [SugarColumn(ColumnDescription = "目标地址")]
        [DataMember(Order = 11)]
        public short DestPosition_2 { get; set; }

        [SugarColumn(ColumnDescription = "优先")]
        [DataMember(Order = 12)]
        public short Priority_2 { get; set; }

        [SugarColumn(ColumnDescription = "备用")]
        [DataMember(Order = 13)]
        public short RES1_2 { get; set; }

        [SugarColumn(ColumnDescription = "备用")]
        [DataMember(Order = 14)]
        public short RES2_2 { get; set; }

        [SugarColumn(ColumnDescription = "触发")]
        [DataMember(Order = 15)]
        public int Trigger_2 { get; set; }
    }
}
