﻿using SqlSugar;
using System.Runtime.Serialization;
using WCS.Entity.Protocol.RGV;

namespace WCS.Entity.Protocol
{
    /// <summary>
    /// RGV 读取协议 后缀 _1=1工位 _2=2工位 无=共用
    /// </summary>
    [SugarTable(nameof(WCS_RGV521), "RGV 读取协议 后缀 _1=1工位 _2=2工位 无=共用")]
    [DataContract]
    public class WCS_RGV521 : WCS_PROTOCOLDATA, IRGV521
    {
        [SugarColumn(ColumnDescription = "任务号")]
        [DataMember(Order = 0)]
        public int TaskID_1 { get; set; }

        [SugarColumn(ColumnDescription = "任务类型")]
        [DataMember(Order = 1)]
        public RGVTaskType TaskType_1 { get; set; }

        [SugarColumn(ColumnDescription = "起始站台")]
        [DataMember(Order = 2)]
        public short StartPosition_1 { get; set; }

        [SugarColumn(ColumnDescription = "目标站台")]
        [DataMember(Order = 3)]
        public short DestPosition_1 { get; set; }

        [SugarColumn(ColumnDescription = "优先级")]
        [DataMember(Order = 4)]
        public short PRIORITY_1 { get; set; }

        [SugarColumn(ColumnDescription = "备用1")]
        [DataMember(Order = 5)]
        public short RES1_1 { get; set; }

        [SugarColumn(ColumnDescription = "备用2")]
        [DataMember(Order = 6)]
        public short RES2_1 { get; set; }

        [SugarColumn(ColumnDescription = "状态")]
        [DataMember(Order = 7)]
        public RGVStatus Status_1 { get; set; }

        [SugarColumn(ColumnDescription = "凭证号")]
        [DataMember(Order = 8)]
        public int Trigger_1 { get; set; }

        [SugarColumn(ColumnDescription = "任务号")]
        [DataMember(Order = 9)]
        public int TaskID_2 { get; set; }

        [SugarColumn(ColumnDescription = "任务类型")]
        [DataMember(Order = 10)]
        public RGVTaskType TaskType_2 { get; set; }

        [SugarColumn(ColumnDescription = "起始站点")]
        [DataMember(Order = 11)]
        public short StartPosition_2 { get; set; }

        [SugarColumn(ColumnDescription = "目标站点")]
        [DataMember(Order = 12)]
        public short DestPosition_2 { get; set; }

        [SugarColumn(ColumnDescription = "优先级")]
        [DataMember(Order = 13)]
        public short PRIORITY_2 { get; set; }

        [SugarColumn(ColumnDescription = "备用1")]
        [DataMember(Order = 14)]
        public short RES1_2 { get; set; }

        [SugarColumn(ColumnDescription = "备用2")]
        [DataMember(Order = 15)]
        public short RES2_2 { get; set; }

        [SugarColumn(ColumnDescription = "状态")]
        [DataMember(Order = 16)]
        public RGVStatus Status_2 { get; set; }

        [SugarColumn(ColumnDescription = "凭证号")]
        [DataMember(Order = 17)]
        public int Trigger_2 { get; set; }

        [SugarColumn(ColumnDescription = "运行状态")]
        [DataMember(Order = 18)]
        public RGVRunStatus SystemStatus { get; set; }

        [SugarColumn(ColumnDescription = "运行模式")]
        [DataMember(Order = 19)]
        public RGVMode WorkMode { get; set; }

        [SugarColumn(ColumnDescription = "备用6")]
        [DataMember(Order = 20)]
        public short RES6 { get; set; }

        [SugarColumn(ColumnDescription = "位置")]
        [DataMember(Order = 21)]
        public float Position { get; set; }

        [SugarColumn(ColumnDescription = "里程")]
        [DataMember(Order = 22)]
        public float Mileage { get; set; }

        [SugarColumn(ColumnDescription = "运行时长")]
        [DataMember(Order = 23)]
        public float Runtime { get; set; }
    }
}
