﻿using SqlSugar;
using System.Runtime.Serialization;
using WCS.Entity.Protocol.RGV;

namespace WCS.Entity.Protocol
{
    /// <summary>
    /// RGV状态记录
    /// </summary>
    [SugarTable(nameof(WCS_RGV523), "RGV状态记录")]
    [DataContract]
    public class WCS_RGV523 : WCS_PROTOCOLDATA, IRGV523
    {
        [SugarColumn(ColumnDescription = "环形穿梭车故障")]
        [DataMember(Order = 0)]
        public RGVFault Fault { get; set; }

        [SugarColumn(ColumnDescription = "工位1故障")]
        [DataMember(Order = 1)]
        public RGVPlatformFault Fault1 { get; set; }

        [SugarColumn(ColumnDescription = "工位2故障")]
        [DataMember(Order = 2)]
        public RGVPlatformFault Fault2 { get; set; }

        [SugarColumn(ColumnDescription = "环穿状态")]
        [DataMember(Order = 3)]
        public RGVStatus Status { get; set; }

        [SugarColumn(ColumnDescription = "工位1状态")]
        [DataMember(Order = 4)]
        public RGVPlatformStatus Status1 { get; set; }

        [SugarColumn(ColumnDescription = "工位2状态")]
        [DataMember(Order = 5)]
        public RGVPlatformStatus Status2 { get; set; }
    }
}
