﻿using WCS.Entity.Protocol.SRM;

namespace WCS.Entity.Protocol
{
    /// <summary>
    /// 堆垛机协议，WCS写入
    /// </summary>
    public interface ISRM520 : IProtocol
    {
        #region 工位一

        /// <summary>
        /// WCS心跳信号
        /// </summary>
        short Handshake_1 { get; set; }

        /// <summary>
        /// 货物数量
        /// </summary>
        short RES1_1 { get; set; }

        /// <summary>
        /// 备用2
        /// </summary>
        short RES2_1 { get; set; }

        /// <summary>
        /// 货物类型
        /// </summary>
        short GoodsType_1 { get; set; }

        /// <summary>
        /// 行驶速度
        /// </summary>
        SCSpeedMode SpeedMode_1 { get; set; }

        /// <summary>
        /// 起始行
        /// </summary>
        short SLine_1 { get; set; }

        /// <summary>
        /// 起始列
        /// </summary>
        short SCol_1 { get; set; }

        /// <summary>
        /// 起始层
        /// </summary>
        short SLayer_1 { get; set; }

        /// <summary>
        /// 起始深度
        /// </summary>
        short SDepth_1 { get; set; }

        /// <summary>
        /// 目标行
        /// </summary>
        short ELine_1 { get; set; }

        /// <summary>
        /// 目标列
        /// </summary>
        short ECol_1 { get; set; }

        /// <summary>
        /// 目标层
        /// </summary>
        short ELayer_1 { get; set; }

        /// <summary>
        /// 目标深度
        /// </summary>
        short EDepth_1 { get; set; }

        /// <summary>
        ///任务号
        /// </summary>
        int TaskID_1 { get; set; }

        /// <summary>
        /// 触发
        /// </summary>
        short VoucherNo_1 { get; set; }

        /// <summary>
        /// 完成任务触发
        /// </summary>
        short FinishedACK_1 { get; set; }

        /// <summary>
        /// 备用3
        /// </summary>
        short RES3_1 { get; set; }

        /// <summary>
        /// 备用4
        /// </summary>
        short RES4_1 { get; set; }

        #endregion 工位一

        #region 二工位

        /// <summary>
        /// WCS心跳信号
        /// </summary>
        short Handshake_2 { get; set; }

        /// <summary>
        /// 货物数量
        /// </summary>
        short RES1_2 { get; set; }

        /// <summary>
        /// 备用2
        /// </summary>
        short RES2_2 { get; set; }

        /// <summary>
        /// 货物类型
        /// </summary>
        short GoodsType_2 { get; set; }

        /// <summary>
        /// 行驶速度
        /// </summary>
        SCSpeedMode SCSpeedMode_2 { get; set; }

        /// <summary>
        /// 起始行
        /// </summary>
        short SLine_2 { get; set; }

        /// <summary>
        /// 起始列
        /// </summary>
        short SCol_2 { get; set; }

        /// <summary>
        /// 起始层
        /// </summary>
        short SLayer_2 { get; set; }

        /// <summary>
        /// 起始深度
        /// </summary>
        short SDepth_2 { get; set; }

        /// <summary>
        /// 目标行
        /// </summary>
        short ELine_2 { get; set; }

        /// <summary>
        /// 目标列
        /// </summary>
        short ECol_2 { get; set; }

        /// <summary>
        /// 目标层
        /// </summary>
        short ELayer_2 { get; set; }

        /// <summary>
        /// 目标深度
        /// </summary>
        short EDepth_2 { get; set; }

        /// <summary>
        ///任务号
        /// </summary>
        int TaskID_2 { get; set; }

        /// <summary>
        /// 触发
        /// </summary>
        short VoucherNo_2 { get; set; }

        /// <summary>
        /// 完成任务触发
        /// </summary>
        short FinishedACK_2 { get; set; }

        /// <summary>
        /// 备用3
        /// </summary>
        short RES3_2 { get; set; }

        /// <summary>
        /// 备用4
        /// </summary>
        short RES4_2 { get; set; }

        #endregion 二工位
    }
}