﻿using WCS.Entity.Protocol.SRM;

namespace WCS.Entity.Protocol
{
    /// <summary>
    /// 堆垛机协议，WCS只读
    /// </summary>
    public interface ISRM521 : IProtocol
    {
        #region 一工位

        SRMForkStatus ForkStatus_1 { get; set; }

        /// <summary>
        /// 模式
        /// </summary>
        SCMode Mode_1 { get; set; }

        /// <summary>
        /// 运行状态
        /// </summary>
        SCRunStatus Status_1 { get; set; }

        /// <summary>
        /// 起始行
        /// </summary>
        short SLine_1 { get; set; }

        /// <summary>
        /// 起始列
        /// </summary>
        short SCol_1 { get; set; }

        /// <summary>
        /// 起始层
        /// </summary>
        short SLayer_1 { get; set; }

        /// <summary>
        /// 起始深度
        /// </summary>
        short SDepth_1 { get; set; }

        /// <summary>
        /// 目标行
        /// </summary>
        short ELine_1 { get; set; }

        /// <summary>
        /// 目标列
        /// </summary>
        short ECol_1 { get; set; }

        /// <summary>
        /// 目标层
        /// </summary>
        short ELayer_1 { get; set; }

        /// <summary>
        /// 目标深度
        /// </summary>
        short EDepth_1 { get; set; }

        /// <summary>
        /// 任务号
        /// </summary>
        int TaskID_1 { get; set; }

        /// <summary>
        /// 触发信号
        /// </summary>
        short VoucherNo_1 { get; set; }

        /// <summary>
        /// 当前行
        /// </summary>
        short Line_1 { get; set; }

        /// <summary>
        /// 当前列
        /// </summary>
        short Col_1 { get; set; }

        /// <summary>
        /// 当前层
        /// </summary>
        short Layer_1 { get; set; }

        /// <summary>
        /// 已完成任务号
        /// </summary>
        int FinishedTask_1 { get; set; }

        /// <summary>
        /// X轴位置(0.1毫米) 行走
        /// </summary>
        [IgnoreChanging]
        int TravelPos_1 { get; set; }

        /// <summary>
        /// Y轴位置 提升
        /// </summary>
        [IgnoreChanging]
        int LiftPos_1 { get; set; }

        /// <summary>
        /// Z轴位置 货叉
        /// </summary>
        [IgnoreChanging]
        int ForkPos_1 { get; set; }

        /// <summary>
        /// 备用 PLCname=Start_number1
        /// </summary>
        short RES9_1 { get; set; }

        /// <summary>
        /// 备用 PLCname=End_number2
        /// </summary>
        short RES10_1 { get; set; }

        /// <summary>
        /// 总里程
        /// </summary>
        [IgnoreChanging]
        float TotalKM_1 { get; set; }

        /// <summary>
        /// 货物类型
        /// </summary>
        short GoodsType_1 { get; set; }

        /// <summary>
        /// 运行时长
        /// </summary>
        [IgnoreChanging]
        float Runtime_1 { get; set; }

        /// <summary>
        /// 备用 PLCname=ForkPos2
        /// </summary>
        int RES11_1 { get; set; }

        /// <summary>
        /// 备用 PLCname=Dest_Xmm
        /// </summary>
        int RES12_1 { get; set; }

        /// <summary>
        /// 备用 PLCname=Dest_Ymm
        /// </summary>
        int RES13_1 { get; set; }

        /// <summary>
        /// 备用 PLCname=Dest_Zmm
        /// </summary>
        int RES14_1 { get; set; }

        #endregion 一工位

        #region 二工位

        SRMForkStatus ForkStatus_2 { get; set; }

        /// <summary>
        /// 模式
        /// </summary>
        SCMode Mode_2 { get; set; }

        /// <summary>
        /// 运行状态
        /// </summary>
        SCRunStatus Status_2 { get; set; }

        /// <summary>
        /// 起始行
        /// </summary>
        short SLine_2 { get; set; }

        /// <summary>
        /// 起始列
        /// </summary>
        short SCol_2 { get; set; }

        /// <summary>
        /// 起始层
        /// </summary>
        short SLayer_2 { get; set; }

        /// <summary>
        /// 起始深度
        /// </summary>
        short SDepth_2 { get; set; }

        /// <summary>
        /// 目标行
        /// </summary>
        short ELine_2 { get; set; }

        /// <summary>
        /// 目标列
        /// </summary>
        short ECol_2 { get; set; }

        /// <summary>
        /// 目标层
        /// </summary>
        short ELayer_2 { get; set; }

        /// <summary>
        /// 目标深度
        /// </summary>
        short EDepth_2 { get; set; }

        /// <summary>
        /// 任务号
        /// </summary>
        int TaskID_2 { get; set; }

        /// <summary>
        /// 触发信号
        /// </summary>
        short VoucherNo_2 { get; set; }

        /// <summary>
        /// 当前行
        /// </summary>
        short Line_2 { get; set; }

        /// <summary>
        /// 当前列
        /// </summary>
        short Col_2 { get; set; }

        /// <summary>
        /// 当前层
        /// </summary>
        short Layer_2 { get; set; }

        /// <summary>
        /// 已完成任务号
        /// </summary>
        int FinishedTask_2 { get; set; }

        /// <summary>
        /// X轴位置(0.1毫米) 行走
        /// </summary>
        [IgnoreChanging]
        int TravelPos_2 { get; set; }

        /// <summary>
        /// Y轴位置 提升
        /// </summary>
        [IgnoreChanging]
        int LiftPos_2 { get; set; }

        /// <summary>
        /// Z轴位置 货叉
        /// </summary>
        [IgnoreChanging]
        int ForkPos_2 { get; set; }

        /// <summary>
        /// 备用 PLCname=Start_number1
        /// </summary>
        short RES9_2 { get; set; }

        /// <summary>
        /// 备用 PLCname=End_number2
        /// </summary>
        short RES10_2 { get; set; }

        /// <summary>
        /// 总里程
        /// </summary>
        [IgnoreChanging]
        float TotalKM_2 { get; set; }

        /// <summary>
        /// 货物类型
        /// </summary>
        short GoodsType_2 { get; set; }

        /// <summary>
        /// 运行时长
        /// </summary>
        [IgnoreChanging]
        float Runtime_2 { get; set; }

        /// <summary>
        /// 备用 PLCname=ForkPos2
        /// </summary>
        int RES11_2 { get; set; }

        /// <summary>
        /// 备用 PLCname=Dest_Xmm
        /// </summary>
        int RES12_2 { get; set; }

        /// <summary>
        /// 备用 PLCname=Dest_Ymm
        /// </summary>
        int RES13_2 { get; set; }

        /// <summary>
        /// 备用 PLCname=Dest_Zmm
        /// </summary>
        int RES14_2 { get; set; }

        #endregion 二工位

        #region 公用

        /// <summary>
        /// 堆垛机模式
        /// </summary>
        SCMode SRMMode { get; set; }

        /// <summary>
        /// 堆垛机状态
        /// </summary>
        SCRunStatus SRMStatus { get; set; }

        /// <summary>
        /// 总里程
        /// </summary>
        [IgnoreChanging]
        float TotalKM { get; set; }

        /// <summary>
        /// 运行时长
        /// </summary>
        [IgnoreChanging]
        float Runtime { get; set; }

        /// <summary>
        /// 堆垛机是否异常 1:异常 0：正常
        /// </summary>
        short Alarm { get; set; }

        #endregion 公用
    }
}