﻿using SqlSugar;
using System.Runtime.Serialization;
using WCS.Entity.Protocol.SRM;

namespace WCS.Entity.Protocol
{
    /// <summary>
    /// 堆垛机协议，WCS写入
    /// </summary>
    [SugarTable(nameof(WCS_SRM520), "堆垛机协议，WCS写入")]
    [DataContract]
    public class WCS_SRM520 : WCS_PROTOCOLDATA, ISRM520
    {
        [SugarColumn(ColumnDescription = "WCS心跳信号")]
        [DataMember(Order = 0)]
        public short Handshake_1 { get; set; }

        [SugarColumn(ColumnDescription = "货物数量")]
        [DataMember(Order = 1)]
        public short RES1_1 { get; set; }

        [SugarColumn(ColumnDescription = "备用")]
        [DataMember(Order = 2)]
        public short RES2_1 { get; set; }

        [SugarColumn(ColumnDescription = "货物类型")]
        [DataMember(Order = 3)]
        public short GoodsType_1 { get; set; }

        [SugarColumn(ColumnDescription = "速度")]
        [DataMember(Order = 4)]
        public SCSpeedMode SpeedMode_1 { get; set; }

        [SugarColumn(ColumnDescription = "起始行")]
        [DataMember(Order = 5)]
        public short SLine_1 { get; set; }

        [SugarColumn(ColumnDescription = "起始列")]
        [DataMember(Order = 6)]
        public short SCol_1 { get; set; }

        [SugarColumn(ColumnDescription = "起始层")]
        [DataMember(Order = 7)]
        public short SLayer_1 { get; set; }

        [SugarColumn(ColumnDescription = "起始深度")]
        [DataMember(Order = 8)]
        public short SDepth_1 { get; set; }

        [SugarColumn(ColumnDescription = "目标行")]
        [DataMember(Order = 9)]
        public short ELine_1 { get; set; }

        [SugarColumn(ColumnDescription = "目标列")]
        [DataMember(Order = 10)]
        public short ECol_1 { get; set; }

        [SugarColumn(ColumnDescription = "目标层")]
        [DataMember(Order = 11)]
        public short ELayer_1 { get; set; }

        [SugarColumn(ColumnDescription = "目标深度")]
        [DataMember(Order = 12)]
        public short EDepth_1 { get; set; }

        [SugarColumn(ColumnDescription = "任务号")]
        [DataMember(Order = 13)]
        public int TaskID_1 { get; set; }

        [SugarColumn(ColumnDescription = "触发")]
        [DataMember(Order = 14)]
        public short VoucherNo_1 { get; set; }

        [SugarColumn(ColumnDescription = "完成任务触发")]
        [DataMember(Order = 15)]
        public short FinishedACK_1 { get; set; }

        [SugarColumn(ColumnDescription = "备用3")]
        [DataMember(Order = 16)]
        public short RES3_1 { get; set; }

        [SugarColumn(ColumnDescription = "备用4")]
        [DataMember(Order = 17)]
        public short RES4_1 { get; set; }

        [SugarColumn(ColumnDescription = "WCS心跳信号")]
        [DataMember(Order = 18)]
        public short Handshake_2 { get; set; }

        [SugarColumn(ColumnDescription = "货物数量")]
        [DataMember(Order = 19)]
        public short RES1_2 { get; set; }

        [SugarColumn(ColumnDescription = "备用2")]
        [DataMember(Order = 20)]
        public short RES2_2 { get; set; }

        [SugarColumn(ColumnDescription = "货物类型")]
        [DataMember(Order = 21)]
        public short GoodsType_2 { get; set; }

        [SugarColumn(ColumnDescription = "行驶速度")]
        [DataMember(Order = 22)]
        public SCSpeedMode SCSpeedMode_2 { get; set; }

        [SugarColumn(ColumnDescription = "起始行")]
        [DataMember(Order = 23)]
        public short SLine_2 { get; set; }

        [SugarColumn(ColumnDescription = "起始列")]
        [DataMember(Order = 24)]
        public short SCol_2 { get; set; }

        [SugarColumn(ColumnDescription = "起始层")]
        [DataMember(Order = 25)]
        public short SLayer_2 { get; set; }

        [SugarColumn(ColumnDescription = "起始深度")]
        [DataMember(Order = 26)]
        public short SDepth_2 { get; set; }

        [SugarColumn(ColumnDescription = "目标行")]
        [DataMember(Order = 27)]
        public short ELine_2 { get; set; }

        [SugarColumn(ColumnDescription = "目标列")]
        [DataMember(Order = 28)]
        public short ECol_2 { get; set; }

        [SugarColumn(ColumnDescription = "目标层")]
        [DataMember(Order = 29)]
        public short ELayer_2 { get; set; }

        [SugarColumn(ColumnDescription = "目标深度")]
        [DataMember(Order = 30)]
        public short EDepth_2 { get; set; }

        [SugarColumn(ColumnDescription = "任务号")]
        [DataMember(Order = 31)]
        public int TaskID_2 { get; set; }

        [SugarColumn(ColumnDescription = "触发")]
        [DataMember(Order = 32)]
        public short VoucherNo_2 { get; set; }

        [SugarColumn(ColumnDescription = "完成任务触发")]
        [DataMember(Order = 33)]
        public short FinishedACK_2 { get; set; }

        [SugarColumn(ColumnDescription = "备用3")]
        [DataMember(Order = 34)]
        public short RES3_2 { get; set; }

        [SugarColumn(ColumnDescription = "备用4")]
        [DataMember(Order = 35)]
        public short RES4_2 { get; set; }
    }
}
