﻿using SqlSugar;
using System.Runtime.Serialization;
using WCS.Entity.Protocol.SRM;

namespace WCS.Entity.Protocol
{
    /// <summary>
    /// 堆垛机协议，WCS只读
    /// </summary>
    [SugarTable(nameof(WCS_SRM521), "堆垛机协议，WCS只读")]
    [DataContract]
    public class WCS_SRM521 : WCS_PROTOCOLDATA, ISRM521
    {
        [SugarColumn(ColumnDescription = "货叉状态")]
        [DataMember(Order = 0)]
        public SRMForkStatus ForkStatus_1 { get; set; }

        [SugarColumn(ColumnDescription = "模式")]
        [DataMember(Order = 1)]
        public SCMode Mode_1 { get; set; }

        [SugarColumn(ColumnDescription = "运行状态")]
        [DataMember(Order = 2)]
        public SCRunStatus Status_1 { get; set; }

        [SugarColumn(ColumnDescription = "起始行")]
        [DataMember(Order = 3)]
        public short SLine_1 { get; set; }

        [SugarColumn(ColumnDescription = "起始列")]
        [DataMember(Order = 4)]
        public short SCol_1 { get; set; }

        [SugarColumn(ColumnDescription = "起始层")]
        [DataMember(Order = 5)]
        public short SLayer_1 { get; set; }

        [SugarColumn(ColumnDescription = "起始深度")]
        [DataMember(Order = 6)]
        public short SDepth_1 { get; set; }

        [SugarColumn(ColumnDescription = "目标行")]
        [DataMember(Order = 7)]
        public short ELine_1 { get; set; }

        [SugarColumn(ColumnDescription = "目标列")]
        [DataMember(Order = 8)]
        public short ECol_1 { get; set; }

        [SugarColumn(ColumnDescription = "目标层")]
        [DataMember(Order = 9)]
        public short ELayer_1 { get; set; }

        [SugarColumn(ColumnDescription = "目标深度")]
        [DataMember(Order = 10)]
        public short EDepth_1 { get; set; }

        [SugarColumn(ColumnDescription = "任务号")]
        [DataMember(Order = 11)]
        public int TaskID_1 { get; set; }

        [SugarColumn(ColumnDescription = "触发信号")]
        [DataMember(Order = 12)]
        public short VoucherNo_1 { get; set; }

        [SugarColumn(ColumnDescription = "当前行")]
        [DataMember(Order = 13)]
        public short Line_1 { get; set; }

        [SugarColumn(ColumnDescription = "当前列")]
        [DataMember(Order = 14)]
        public short Col_1 { get; set; }

        [SugarColumn(ColumnDescription = "当前层")]
        [DataMember(Order = 15)]
        public short Layer_1 { get; set; }

        [SugarColumn(ColumnDescription = "已完成任务号")]
        [DataMember(Order = 16)]
        public int FinishedTask_1 { get; set; }

        [SugarColumn(ColumnDescription = "X轴位置(0.1毫米) 行走")]
        [DataMember(Order = 17)]
        public int TravelPos_1 { get; set; }

        [SugarColumn(ColumnDescription = "Y轴位置 提升")]
        [DataMember(Order = 18)]
        public int LiftPos_1 { get; set; }

        [SugarColumn(ColumnDescription = "Z轴位置 货叉")]
        [DataMember(Order = 19)]
        public int ForkPos_1 { get; set; }

        [SugarColumn(ColumnDescription = "备用 PLCname=Start_number1")]
        [DataMember(Order = 20)]
        public short RES9_1 { get; set; }

        [SugarColumn(ColumnDescription = "备用 PLCname=End_number2")]
        [DataMember(Order = 21)]
        public short RES10_1 { get; set; }

        [SugarColumn(ColumnDescription = "总里程")]
        [DataMember(Order = 22)]
        public float TotalKM_1 { get; set; }

        [SugarColumn(ColumnDescription = "货物类型")]
        [DataMember(Order = 23)]
        public short GoodsType_1 { get; set; }

        [SugarColumn(ColumnDescription = "运行时长")]
        [DataMember(Order = 24)]
        public float Runtime_1 { get; set; }

        [SugarColumn(ColumnDescription = "备用 PLCname=ForkPos2")]
        [DataMember(Order = 25)]
        public int RES11_1 { get; set; }

        [SugarColumn(ColumnDescription = "备用 PLCname=Dest_Xmm")]
        [DataMember(Order = 26)]
        public int RES12_1 { get; set; }

        [SugarColumn(ColumnDescription = "备用 PLCname=Dest_Ymm")]
        [DataMember(Order = 27)]
        public int RES13_1 { get; set; }

        [SugarColumn(ColumnDescription = "备用 PLCname=Dest_Zmm")]
        [DataMember(Order = 28)]
        public int RES14_1 { get; set; }

        [SugarColumn(ColumnDescription = "货叉状态")]
        [DataMember(Order = 29)]
        public SRMForkStatus ForkStatus_2 { get; set; }

        [SugarColumn(ColumnDescription = "模式")]
        [DataMember(Order = 30)]
        public SCMode Mode_2 { get; set; }

        [SugarColumn(ColumnDescription = "运行状态")]
        [DataMember(Order = 31)]
        public SCRunStatus Status_2 { get; set; }

        [SugarColumn(ColumnDescription = "起始行")]
        [DataMember(Order = 32)]
        public short SLine_2 { get; set; }

        [SugarColumn(ColumnDescription = "起始列")]
        [DataMember(Order = 33)]
        public short SCol_2 { get; set; }

        [SugarColumn(ColumnDescription = "起始层")]
        [DataMember(Order = 34)]
        public short SLayer_2 { get; set; }

        [SugarColumn(ColumnDescription = "起始深度")]
        [DataMember(Order = 35)]
        public short SDepth_2 { get; set; }

        [SugarColumn(ColumnDescription = "目标行")]
        [DataMember(Order = 36)]
        public short ELine_2 { get; set; }

        [SugarColumn(ColumnDescription = "目标列")]
        [DataMember(Order = 37)]
        public short ECol_2 { get; set; }

        [SugarColumn(ColumnDescription = "目标层")]
        [DataMember(Order = 38)]
        public short ELayer_2 { get; set; }

        [SugarColumn(ColumnDescription = "目标深度")]
        [DataMember(Order = 39)]
        public short EDepth_2 { get; set; }

        [SugarColumn(ColumnDescription = "任务号")]
        [DataMember(Order = 40)]
        public int TaskID_2 { get; set; }

        [SugarColumn(ColumnDescription = "触发信号")]
        [DataMember(Order = 41)]
        public short VoucherNo_2 { get; set; }

        [SugarColumn(ColumnDescription = "当前行")]
        [DataMember(Order = 42)]
        public short Line_2 { get; set; }

        [SugarColumn(ColumnDescription = "当前列")]
        [DataMember(Order = 43)]
        public short Col_2 { get; set; }

        [SugarColumn(ColumnDescription = "当前层")]
        [DataMember(Order = 44)]
        public short Layer_2 { get; set; }

        [SugarColumn(ColumnDescription = "已完成任务号")]
        [DataMember(Order = 45)]
        public int FinishedTask_2 { get; set; }

        [SugarColumn(ColumnDescription = "X轴位置(0.1毫米) 行走")]
        [DataMember(Order = 46)]
        public int TravelPos_2 { get; set; }

        [SugarColumn(ColumnDescription = "Y轴位置 提升")]
        [DataMember(Order = 47)]
        public int LiftPos_2 { get; set; }

        [SugarColumn(ColumnDescription = "Z轴位置 货叉")]
        [DataMember(Order = 48)]
        public int ForkPos_2 { get; set; }

        [SugarColumn(ColumnDescription = "备用 PLCname=Start_number1")]
        [DataMember(Order = 49)]
        public short RES9_2 { get; set; }

        [SugarColumn(ColumnDescription = "备用 PLCname=End_number2")]
        [DataMember(Order = 50)]
        public short RES10_2 { get; set; }

        [SugarColumn(ColumnDescription = "总里程")]
        [DataMember(Order = 51)]
        public float TotalKM_2 { get; set; }

        [SugarColumn(ColumnDescription = "货物类型")]
        [DataMember(Order = 52)]
        public short GoodsType_2 { get; set; }

        [SugarColumn(ColumnDescription = "运行时长")]
        [DataMember(Order = 53)]
        public float Runtime_2 { get; set; }

        [SugarColumn(ColumnDescription = "备用 PLCname=ForkPos2")]
        [DataMember(Order = 54)]
        public int RES11_2 { get; set; }

        [SugarColumn(ColumnDescription = "备用 PLCname=Dest_Xmm")]
        [DataMember(Order = 55)]
        public int RES12_2 { get; set; }

        [SugarColumn(ColumnDescription = "备用 PLCname=Dest_Ymm")]
        [DataMember(Order = 56)]
        public int RES13_2 { get; set; }

        [SugarColumn(ColumnDescription = "备用 PLCname=Dest_Zmm")]
        [DataMember(Order = 57)]
        public int RES14_2 { get; set; }

        [SugarColumn(ColumnDescription = "堆垛机模式")]
        [DataMember(Order = 58)]
        public SCMode SRMMode { get; set; }

        [SugarColumn(ColumnDescription = "堆垛机状态")]
        [DataMember(Order = 59)]
        public SCRunStatus SRMStatus { get; set; }

        [SugarColumn(ColumnDescription = "总里程")]
        [DataMember(Order = 60)]
        public float TotalKM { get; set; }

        [SugarColumn(ColumnDescription = "运行时长")]
        [DataMember(Order = 61)]
        public float Runtime { get; set; }

        [SugarColumn(ColumnDescription = "堆垛机是否异常 1:异常 0：正常")]
        [DataMember(Order = 62)]
        public short Alarm { get; set; }
    }
}
