﻿using System;

namespace WCS.Entity.Protocol
{
    /// <summary>
    /// 输送机状态读取协议
    /// </summary>
    public interface IStation523 : IProtocol
    {
        /// <summary>
        /// 警报
        /// </summary>
        StationFault Alarm { get; set; }

        /// <summary>
        /// 备用
        /// </summary>
        short RES { get; set; }

        /// <summary>
        /// 允许状态 值为零时是手动
        /// </summary>
        StationStatus Status { get; set; }

        /// <summary>
        /// 运行时间
        /// </summary>
        [IgnoreChanging]
        float RunTime { get; set; }
    }

    /// <summary>
    /// 输送机故障
    /// </summary>
    [Flags]
    public enum StationFault : ushort
    {
        总故障 = 1 << 0,
        急停故障 = 1 << 1,
        超时故障 = 1 << 2,
        驱动故障 = 1 << 3,
        空气开关故障 = 1 << 4,
        传感器异常故障 = 1 << 5,
        其它故障汇入 = 1 << 6,
        无Ready信号请检查柜内空开 = 1 << 7,
        超时故障2 = 1 << 8,
        驱动故障2 = 1 << 9,
        空气开关故障2 = 1 << 10,
        左极限故障 = 1 << 11,
        右极限故障 = 1 << 12,
        无Ready信号请检查柜内空开2 = 1 << 13,
        前极限故障 = 1 << 14,
        后极限故障 = 1 << 15,
    }

    /// <summary>
    /// 输送机状态
    /// </summary>
    [Flags]
    public enum StationStatus : ushort
    {
        自动 = 1 << 0,
        选中状态位 = 1 << 1,
        有货状态位 = 1 << 2,
        运行状态位 = 1 << 3,
        正转 = 1 << 4,
        反转 = 1 << 5,
        上升_右转 = 1 << 6,
        下降_左转 = 1 << 7,
        高位 = 1 << 8,
        低位 = 1 << 9,
        左位 = 1 << 10,
        中位 = 1 << 11,
        右位 = 1 << 12,
        前位 = 1 << 13,
        后位 = 1 << 14,
        备用 = 1 << 15,
    }
}