﻿using SqlSugar;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.Station
{
    /// <summary>
    /// 站台交互信号 写记录表
    /// </summary>
    [SugarTable(nameof(WCS_Station520), "站台交互信号 写记录表")]
    [DataContract]
    public class WCS_Station520 : WCS_PROTOCOLDATA, IStation520
    {
        [SugarColumn(ColumnDescription = "任务号")]
        [DataMember(Order = 0)]
        public int Tasknum { get; set; }

        [SugarColumn(ColumnDescription = "货物数条码 涂布入库口代表AGV任务")]
        [DataMember(Order = 1)]
        public int Goodscode { get; set; }

        [SugarColumn(ColumnDescription = "货物数量(1.两个位置放1个货物，2.两个位置放2个货物）")]
        [DataMember(Order = 2)]
        public short Goodsnum { get; set; }

        [SugarColumn(ColumnDescription = "货物高度")]
        [DataMember(Order = 3)]
        public short GoodsSize { get; set; }

        [SugarColumn(ColumnDescription = "起始地址")]
        [DataMember(Order = 4)]
        public short Goodsstart { get; set; }

        [SugarColumn(ColumnDescription = "目标地址")]
        [DataMember(Order = 5)]
        public short Goodsend { get; set; }

        [SugarColumn(ColumnDescription = "请求")]
        [DataMember(Order = 6)]
        public IstationRequest Request { get; set; }

        [SugarColumn(ColumnDescription = "命令类型")]
        [DataMember(Order = 7)]
        public IstationCmdType CmdType { get; set; }

        [SugarColumn(ColumnDescription = "凭证号 每次累加")]
        [DataMember(Order = 8)]
        public short VoucherNo { get; set; }

        [SugarColumn(ColumnDescription = "输送机状态")]
        [DataMember(Order = 9)]
        public IstationStatus Istation521Status { get; set; }
    }
}
