﻿using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol
{
    /// <summary>
    /// AGV任务中间表
    /// </summary>
    [SugarTable(nameof(WCS_AGVTask), "AGV任务中间表")]
    [DataContract]
    public class WCS_AGVTask
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID"), DataMember(Order = 0)]
        public int ID { get; set; }

        /// <summary>
        /// AGVID
        /// </summary>
        [SugarColumn(ColumnDescription = "AGVID", Length = 20), DataMember(Order = 1)]
        public string AGVID { get; set; }

        /// <summary>
        /// 任务类型
        /// </summary>
        [SugarColumn(ColumnDescription = "任务类型")]
        [DataMember(Order = 2)]
        public AGVTaskType TaskType { get; set; }

        /// <summary>
        /// WCS AGV任务状态
        /// </summary>
        [SugarColumn(ColumnDescription = "WCS AGV任务状态")]
        [DataMember(Order = 3)]
        public AGVTaskStatus Status { get; set; }

        /// <summary>
        /// AGV自身状态
        /// </summary>
        [SugarColumn(ColumnDescription = "AGV自身状态")]
        [DataMember(Order = 4)]
        public AGVTaskStatus AGVStatus { get; set; }

        /// <summary>
        /// 车间
        /// </summary>
        [SugarColumn(ColumnDescription = "车间")]
        [DataMember(Order = 5)]
        public int Workshop { get; set; }

        /// <summary>
        /// 站台
        /// </summary>
        [SugarColumn(ColumnDescription = "站台", Length = 20)]
        [DataMember(Order = 6)]
        public string Station { get; set; }

        /// <summary>
        /// 位置
        /// </summary>
        [SugarColumn(ColumnDescription = "位置", Length = 20)]
        [DataMember(Order = 7)]
        public string Position { get; set; }

        /// <summary>
        /// 货物数量(1.两个位置放1个货物，2.两个位置放2个货物）
        /// </summary>
        [SugarColumn(ColumnDescription = "货物数量(1.两个位置放1个货物，2.两个位置放2个货物）")]
        [DataMember(Order = 11)]
        public int Goodsnum { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        [DataMember(Order = 8)]
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// WCS更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "WCS更新时间")]
        [DataMember(Order = 9)]
        public DateTime? UpdateTime { get; set; }

        /// <summary>
        /// AGV更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "AGV更新时间")]
        [DataMember(Order = 10)]
        public DateTime? AGVUpdateTime { get; set; }

        /// <summary>
        ///更新用户
        /// </summary>
        [SugarColumn(ColumnDescription = "更新用户")]
        [DataMember(Order = 11)]
        public string UPDATEUSER { get; set; }

        /// <summary>
        /// 更新用户详细信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(UPDATEUSER))]
        public WCS_USERS USER { get; set; }
    }

    public enum AGVTaskStatus
    {
        新建 = 0,
        确认 = 5,
        执行 = 10,
        请求_允许 = 20,
        取放完成 = 21,
        请求_允许2 = 30,
        取放完成2 = 31,
        完成 = 99,
        完成扫码 = 100,
        取消 = 106
    }

    public enum AGVTaskType
    {
        入库 = 1,
        叫料 = 2
    }
}
