﻿using SqlSugar;

namespace WCS.Entity.Protocol
{
    /// <summary>
    /// 任务状态变更记录
    /// </summary>
    [SugarTable(nameof(WCS_StatusLog), "任务状态变更记录")]
    public class WCS_StatusLog : OBJ
    {
        /// <summary>
        /// 关联任务ID
        /// </summary>
        [SugarColumn(ColumnDescription = "关联任务ID")]
        public int WCS_TASKID { get; set; }

        /// <summary>
        /// 新的状态
        /// </summary>
        [SugarColumn(ColumnDescription = "新的状态")]
        public TaskStatus NewStatus { get; set; }

        /// <summary>
        /// 旧的状态
        /// </summary>
        [SugarColumn(ColumnDescription = "旧的状态")]
        public TaskStatus OldStatus { get; set; }

        /// <summary>
        /// 上传的状态
        /// </summary>
        [SugarColumn(ColumnDescription = "上传的状态")]
        public TaskStatus upStatus { get; set; }

        /// <summary>
        /// 产生本次变化的节点
        /// </summary>
        [SugarColumn(ColumnDescription = "产生本次变化的节点")]
        public string Node { get; set; }

        /// <summary>
        /// 变化的内容
        /// </summary>
        [SugarColumn(ColumnDescription = "变化的内容")]
        public string msg { get; set; }
    }
}
