﻿using SqlSugar;

namespace WCS.Entity.Protocol
{
    /// <summary>
    /// 系统配置
    /// </summary>
    [SugarTable(nameof(WCS_SystemConfig), "系统配置")]
    public class WCS_SystemConfig : OBJ
    {
        /// <summary>
        /// 设备编号 堆垛机/BCR
        /// </summary>
        [SugarColumn(ColumnDescription = "设备编号")]
        public string Code { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        [SugarColumn(ColumnDescription = "描述")]
        public string Describe { get; set; }

        /// <summary>
        /// 所属设备
        /// </summary>
        [SugarColumn(ColumnDescription = "所属设备")]
        public string DEVICECODE { get; set; }

        /// <summary>
        /// 所属设备信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(DEVICECODE))]
        public WCS_DEVICE DEVICE { get; set; }

        /// <summary>
        /// 巷道
        /// </summary>
        [SugarColumn(ColumnDescription = "所属设备")]
        public string TUNNEL { get; set; }

        /// <summary>
        /// 所属巷道信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(TUNNEL))]
        public WCS_DEVICE TUNNELDEVICE { get; set; }

        /// <summary>
        /// 方向
        /// </summary>
        [SugarColumn(ColumnDescription = "方向")]
        public string Direction { get; set; }
    }
}
