﻿using SqlSugar;

namespace WCS.Entity
{
    /// <summary>
    /// WCS用户用写入PLC记录表
    /// </summary>
    [SugarTable(nameof(WCS_CMD), "WCS用户用写入PLC记录表")]
    public class WCS_CMD : OBJ
    {
        /// <summary>
        /// 关联设备号
        /// </summary>
        [SugarColumn(Length = 20, ColumnDescription = "关联设备号")]
        public string DEVICE_CODE { get; set; }

        /// <summary>
        /// 关联设备信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, "DEVICE_CODE")]
        public WCS_DEVICE DEVICE { get; set; }

        /// <summary>
        /// 协议
        /// </summary>
        [SugarColumn(Length = 256, ColumnDescription = "协议")]
        public string PROTOCOL { get; set; }

        /// <summary>
        /// 属性
        /// </summary>
        [SugarColumn(Length = 32, ColumnDescription = "属性")]
        public string PROPERTY { get; set; }

        /// <summary>
        /// 值
        /// </summary>
        [SugarColumn(Length = 512, ColumnDescription = "值")]
        public string VALUE { get; set; }

        /// <summary>
        /// WCS版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "WCS版本号")]
        public int WCSVERSION { get; set; }
    }
}
