﻿using SqlSugar;
using System;

namespace WCS.Entity
{
    /// <summary>
    /// PLC DB块配置表
    /// </summary>
    [SugarTable(nameof(WCS_DATABLOCK), "PLC DB块配置表")]
    public class WCS_DATABLOCK : OBJ
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(IsIgnore = true)]
        [Obsolete]
        public override int ID { get; set; }

        /// <summary>
        /// 编号
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, Length = 20, ColumnDescription = "编号")]
        public string CODE { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        [SugarColumn(Length = 20, ColumnDescription = "名称")]
        public string NAME { get; set; }

        /// <summary>
        /// 关联PLC信息编号
        /// </summary>
        [SugarColumn(ColumnDescription = "关联PLC信息编号")]
        public string PLCCODE { get; set; }

        /// <summary>
        /// 关联PLC信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(PLCCODE))]
        public WCS_PLC PLC { get; set; }

        /// <summary>
        /// 西门子:DB520,其它:D0
        /// </summary>
        [SugarColumn(ColumnDescription = "编号")]
        public int NO { get; set; }

        /// <summary>
        /// 总长度
        /// </summary>
        [SugarColumn(ColumnDescription = "总长度")]
        public int LENGTH { get; set; }

        /// <summary>
        /// 结构体长度
        /// </summary>
        [SugarColumn(ColumnDescription = "结构体长度")]
        public int DATALENGTH { get; set; }

        /// <summary>
        /// 协议类型
        /// </summary>
        [SugarColumn(Length = 200, ColumnDescription = "协议类型")]
        public string PROTOCOL { get; set; }

        /// <summary>
        /// 无更新
        /// </summary>
        [SugarColumn(ColumnDescription = "无更新")]
        public bool NOUPDATE { get; set; }

        public Type GetProtocolType()
        {
            return Type.GetType(PROTOCOL);
        }
    }
}
