﻿using SqlSugar;
using System;
using System.Collections.Generic;

namespace WCS.Entity
{
    /// <summary>
    /// 设备列表
    /// </summary>
    [SugarTable(nameof(WCS_DEVICE), "设备列表")]
    public class WCS_DEVICE : OBJ
    {
        [SugarColumn(IsIgnore = true)]
        [Obsolete]
        public override int ID { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnDescription = "设备编号", Length = 50)]
        public string CODE { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        [SugarColumn(Length = 50, ColumnDescription = "设备名称")]
        public string NAME { get; set; }

        /// <summary>
        /// 设备可用协议集合
        /// </summary>
        [Navigate(NavigateType.OneToMany, nameof(WCS_DEVICEPROTOCOL.DEVICECODE))]
        public List<WCS_DEVICEPROTOCOL> DEVICEPROTOCOLS { get; set; }

        /// <summary>
        /// 设备可用路由集合
        /// </summary>
        [Navigate(NavigateType.OneToMany, nameof(WCS_ROUTE.DEVICECODE))]
        public List<WCS_ROUTE> ROUTES { get; set; }

        /// <summary>
        /// 设备可用路径集合
        /// </summary>
        [Navigate(NavigateType.OneToMany, nameof(WCS_PATH.STARTCODE))]
        public List<WCS_PATH> PATHS { get; set; }

        /// <summary>
        /// 设备对应设备组信息
        /// </summary>
        [Navigate(NavigateType.OneToMany, nameof(WCS_GROUPMEMBER.GROUPCODE))]
        public List<WCS_GROUPMEMBER> DEVICEGROUP { get; set; }

        public override string ToString()
        {
            return CODE;
        }
    }
}
