﻿using SqlSugar;

namespace WCS.Entity
{
    /// <summary>
    /// DB块读写协议
    /// </summary>
    [SugarTable(nameof(WCS_DEVICEPROTOCOL), "DB块读写协议")]
    public class WCS_DEVICEPROTOCOL : OBJ
    {
        /// <summary>
        /// 设备编号
        /// </summary>
        [SugarColumn(ColumnDescription = "设备")]
        public string DEVICECODE { get; set; }

        /// <summary>
        /// 设备信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(DEVICECODE))]
        public WCS_DEVICE DEVICE { get; set; }

        /// <summary>
        /// DB编号
        /// </summary>
        [SugarColumn(ColumnDescription = "DB编号")]
        public string DATABLOCKCODE { get; set; }

        /// <summary>
        /// DB信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(DATABLOCKCODE))]
        public WCS_DATABLOCK DB { get; set; }

        /// <summary>
        /// 起始位置
        /// </summary>
        [SugarColumn(ColumnDescription = "起始位置")]
        public short POSITION { get; set; }
    }
}
