﻿using SqlSugar;
using System;

namespace WCS.Entity
{
    /// <summary>
    /// 错误/警告
    /// </summary>
    [SugarTable(nameof(WCS_EXCEPTION), "错误/警告")]
    public class WCS_EXCEPTION : OBJ
    {
        /// <summary>
        /// 异常信息
        /// </summary>
        [SugarColumn(ColumnDescription = "异常信息", Length = 1000)]
        public string MSG { get; set; }

        /// <summary>
        /// 关联设备号
        /// </summary>
        [SugarColumn(ColumnDescription = "关联设备号", Length = 50)]
        public string DEVICECODE { get; set; }

        /// <summary>
        /// 关联设备详细信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(DEVICECODE))]
        public WCS_DEVICE DEVICE { get; set; }

        /// <summary>
        /// 为了展示方便直接使用 WCS_EXCEPTIONTYPE 枚举的描述
        /// </summary>
        [SugarColumn(ColumnDescription = "关联设备号", Length = 200)]
        public string EXCEPTIONTYPE { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        [SugarColumn(ColumnDescription = "开始时间")]
        public DateTime STARTTIME { get; set; }

        /// <summary>
        /// 触发次数
        /// </summary>
        [SugarColumn(ColumnDescription = "触发次数")]
        public int TIMES { get; set; }
    }

    /// <summary>
    /// 异常类型
    /// </summary>
    public enum WCS_EXCEPTIONTYPE : uint
    {
        无 = 0,
        设备异常 = 10,
        逻辑异常 = 20,
        操作记录 = 30,
    }
}
