﻿using SqlSugar;

namespace WCS.Entity
{
    /// <summary>
    /// 设备路径信息
    /// </summary>
    [SugarTable(nameof(WCS_PATH), "路径")]
    public class WCS_PATH : OBJ
    {
        /// <summary>
        /// 起点地址编号
        /// </summary>
        [SugarColumn(ColumnDescription = "起点")]
        public string STARTCODE { get; set; }

        /// <summary>
        /// 起始点设备信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, "STARTCODE")]
        public WCS_DEVICE START { get; set; }

        /// <summary>
        /// 终点设备编号
        /// </summary>
        [SugarColumn(ColumnDescription = "终点")]
        public string ENDCODE { get; set; }

        /// <summary>
        /// 终点设备信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, "ENDCODE")]
        public WCS_DEVICE END { get; set; }

        /// <summary>
        /// 路径
        /// </summary>
        [SugarColumn(ColumnDescription = "路径")]
        public string PATH { get; set; }
    }
}
