﻿using SqlSugar;

namespace WCS.Entity
{
    /// <summary>
    /// 路径详细信息
    /// </summary>
    [SugarTable(nameof(WCS_PATHPOINT), "路径详细信息")]
    public class WCS_PATHPOINT : OBJ
    {
        /// <summary>
        /// 起始地址设备号
        /// </summary>
        [SugarColumn(ColumnDescription = "起始地址设备号")]
        public string STARTCODE { get; set; }

        /// <summary>
        /// 起点设备详细信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(STARTCODE))]
        public WCS_DEVICE START { get; set; }

        /// <summary>
        /// 终点地址设备号
        /// </summary>
        [SugarColumn(ColumnDescription = "终点地址设备号")]
        public string ENDCODE { get; set; }

        /// <summary>
        /// 终点设备详细信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(ENDCODE))]
        public WCS_DEVICE END { get; set; }

        /// <summary>
        /// 路径点设备号
        /// </summary>
        [SugarColumn(ColumnDescription = "路径点设备号", IsNullable = true)]
        public string DEVICECODE { get; set; }

        /// <summary>
        /// 路径点详细信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(DEVICECODE))]
        public WCS_DEVICE DEVICE { get; set; }

        /// <summary>
        /// 前路径点设备号
        /// </summary>
        [SugarColumn(ColumnDescription = "前路径点设备号")]
        public string PREVCODE { get; set; }

        /// <summary>
        /// 前路径点详细信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(PREVCODE))]
        public WCS_DEVICE PREV { get; set; }

        /// <summary>
        /// 后路径点设备号
        /// </summary>
        [SugarColumn(ColumnDescription = "后路径点设备号", IsNullable = true)]
        public string NEXTCODE { get; set; }

        /// <summary>
        /// 后路径点详细信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(NEXTCODE))]
        public WCS_DEVICE NEXT { get; set; }
    }
}
