﻿using SqlSugar;
using System;

namespace WCS.Entity
{
    /// <summary>
    /// WCS_PLC
    /// </summary>
    [SugarTable(nameof(WCS_PLC), "PLC信息")]
    public class WCS_PLC : OBJ
    {
        [SugarColumn(IsIgnore = true)]
        [Obsolete]
        public override int ID { get; set; }

        /// <summary>
        /// 编号
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnDescription = "编号", Length = 20)]
        public string CODE { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        [SugarColumn(ColumnDescription = "名称", Length = 20)]
        public string NAME { get; set; }

        /// <summary>
        /// IP
        /// </summary>
        [SugarColumn(ColumnDescription = "IP", Length = 20)]
        public string IP { get; set; }

        /// <summary>
        /// 端口
        /// </summary>
        [SugarColumn(ColumnDescription = "端口")]
        public int PORT { get; set; } = 102;

        /// <summary>
        /// 插槽号
        /// </summary>
        [SugarColumn(ColumnDescription = "插槽号")]
        public int SLOT { get; set; }

        /// <summary>
        /// 机架号
        /// </summary>
        [SugarColumn(ColumnDescription = "机架号")]
        public int RACK { get; set; }

        /// <summary>
        /// 厂商
        /// </summary>
        [SugarColumn(ColumnDescription = "厂商")]
        public PLCType TYPE { get; set; }

        /// <summary>
        /// 型号
        /// </summary>
        [SugarColumn(ColumnDescription = "型号")]
        public PLCMODEL MODEL { get; set; }
    }

    /// <summary>
    /// 设备厂商
    /// </summary>
    public enum PLCType
    {
        西门子 = 1,
        三菱 = 2,
        AB = 3,
        欧姆龙 = 4,
        汇川 = 5, 
    }

    /// <summary>
    /// PLC型号
    /// </summary>
    public enum PLCMODEL
    {
        #region 西门子

        /// <summary>
        /// 1200系列
        /// </summary>
        S1200 = 1,

        /// <summary>
        /// 300系列
        /// </summary>
        S300 = 2,

        /// <summary>
        /// 400系列
        /// </summary>
        S400 = 3,

        /// <summary>
        /// 1500系列PLC
        /// </summary>
        S1500 = 4,

        /// <summary>
        /// 200的smart系列
        /// </summary>
        S200Smart = 5,

        /// <summary>
        /// 200系统，需要额外配置以太网模块
        /// </summary>
        S200 = 6

        #endregion 西门子
    }
}
