﻿using SqlSugar;
using System;

namespace WCS.Entity
{
    /// <summary>
    /// 协议数据抽象类，所有的设备具体协议信息都需继承该类
    /// </summary>
    public abstract class WCS_PROTOCOLDATA : OBJ
    {
        /// <summary>
        /// 设备编号
        /// </summary>
        [SugarColumn(ColumnDescription = "设备编号")]
        public string DEVICECOD { get; set; }

        /// <summary>
        /// 设备详细信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(DEVICECOD))]
        public WCS_DEVICE DEVICE { get; set; }

        /// <summary>
        /// 确认时间
        /// </summary>
        [SugarColumn(ColumnDescription = "确认时间")]
        public DateTime FRAME { get; set; }

        /// <summary>
        /// 最后更新
        /// </summary>
        [SugarColumn(ColumnDescription = "最后更新")]
        public bool ISLAST { get; set; }

        /// <summary>
        /// WCS版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "WCS版本号")]
        public int WCSVERSION { get; set; }
    }
}
