﻿using SqlSugar;

namespace WCS.Entity
{
    /// <summary>
    /// 设备路由表
    /// </summary>
    [SugarTable(nameof(WCS_ROUTE), "设备路由表")]
    public class WCS_ROUTE : OBJ
    {
        /// <summary>
        /// 设备编号
        /// </summary>
        [SugarColumn(ColumnDescription = "设备编号")]
        public string DEVICECODE { get; set; }

        /// <summary>
        /// 所属设备信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(DEVICECODE))]
        public WCS_DEVICE DEVICE { get; set; }

        /// <summary>
        /// 下一个设备的编号
        /// </summary>
        [SugarColumn(ColumnDescription = "下一个设备的编号")]
        public string NEXTCODE { get; set; }

        /// <summary>
        /// 下一个设备的信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, "NEXTCODE")]
        public WCS_DEVICE NEXT { get; set; }
    }
}
