using Microsoft.AspNetCore.Hosting;
using System.Runtime.InteropServices;
using WCS.Core;
using WCS.WebApi;

namespace WCS.Service
{
    public class Program
    {
        /// <summary>
        /// 
        /// </summary>
        /// <param name="args"></param>
        public static void Main(string[] args)
        {
            using var mt = new Mutex(true, "WCS");
            if (mt.WaitOne())
            {
                Configs.AddSystemMode(SystemMode.PLC);
                CreateHostBuilder(args).Build().Run(); mt.ReleaseMutex();
            }
            else
            {
                Console.WriteLine("ظ");
                //InfoLog.INFO_INIT("ظ");
                Task.Delay(2000).Wait();
            }
        }

        /// <summary>
        /// һ
        /// </summary>
        /// <param name="args"></param>
        /// <returns></returns>
        public static IHostBuilder CreateHostBuilder(string[] args)
        {
            //Ƿwinƽ̨
            var isWin = RuntimeInformation.IsOSPlatform(OSPlatform.Windows);
            Console.WriteLine($"win:{isWin}");
            if (isWin)
            {
                return Host.CreateDefaultBuilder(args)
                    .UseWindowsService()//win
                    .ConfigureWebHostDefaults(web => //
                    {
                        web.UseUrls("http://*:8080"); //豸ʶ˿
                        web.UseStartup<Startup>(); //
                    })
                    .ConfigureServices((_, services) =>
                    {
                        //services.AddDbContext<WCSDB>();
                        services.AddHostedService<Worker>();
                        services.AddHttpClient();
                    });
            }
            return Host.CreateDefaultBuilder(args)
                .UseSystemd()//linux
                .ConfigureServices((_, services) =>
                {
                    services.AddHostedService<Worker>();
                });
        }
    }
}
