﻿namespace WCS.WebApi.WMS
{
    public class PushCreateWcsTaskRequest
    {
        public string WMSTaskNo { get; set; }//WMS任务号
        public string TaskGroupKey { get; set; } //任务组ID
        public string StartLocation { get; set; }//起点地址
        public string EndLocation { get; set; }//目标地址
        public string Warehouse { get; set; }//仓库名称
        public string PalletCode { get; set; }//托盘条码
        public string TaskState { get; set; }//任务状态
        public string StartRow { get; set; }//起点行
        public string StartCol { get; set; }//起点列
        public string StartLayer { get; set; }//起点层
        public string EndRow { get; set; }//目标行
        public string EndCol { get; set; }//目标列
        public string EndLayer { get; set; }//目标层
        public string StartTunnel { get; set; }//起点巷道
        public string EndTunnel { get; set; }//终点巷道
        public string WMSSendName { get; set; }//WMS下发人名称
        public string TaskType { get; set; }//任务类型
        public string Priority { get; set; }//优先级
        public string SRMNo { get; set; }//堆垛机编号
        public bool IsIceBox { get; set; } = false;//是否冰箱

        /// <summary>
        /// 分组编号
        /// </summary>
        public string TASK_ITEM1 { get; set; } = "";

        /// <summary>
        /// 托盘类型(1.原膜托盘 2.熟化架 3.成品托盘 4.空托盘组)
        /// </summary>
        public string TASK_ITEM2 { get; set; } = "";

        /// <summary>
        /// 是否空盘(1.空盘 2.非空盘)
        /// </summary>
        public string TASK_ITEM3 { get; set; } = "";

        /// <summary>
        /// outId
        /// </summary>
        public string TASK_ITEM4 { get; set; } = "";

        /// <summary>
        /// 熟化类型(0=不需熟化、1=熟化房熟化、2=小烘房熟化)
        /// </summary>
        public int TASK_MatureType { get; set; }

        /// <summary>
        /// 熟化时间(小时：10,16)
        /// </summary>
        public decimal TASK_MatureDate { get; set; }

        /// <summary>
        /// 熟化温度(小数)
        /// </summary>
        public decimal TASK_MatureTemperat { get; set; }

        /// <summary>
        /// 卷长度
        /// </summary>
        public decimal Length { get; set; }

        /// <summary>
        /// 产品编码
        /// </summary>
        public string MaterialCode { get; set; }
    }

    public class PushCreateAGVTaskRequest
    {
        public string StartPos { get; set; }

        public string EndPos { get; set; }

        /// <summary>
        /// 1:缓存位退料
        /// </summary>
        public int Type { get; set; }
    }
}
