﻿using System.ComponentModel.DataAnnotations;

namespace WCS.WebApi.WMS.Request
{
    /// <summary>
    /// 获取出库任务请求实体
    /// </summary>
    public class I_WCS_GetOutTaskRequest
    {
        /// <summary>
        /// 出库位置
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string OutEndPostion { get; set; }

        /// <summary>
        /// 出库类型（0.无效参数；1.物料出库；2.空托盘出库；3.空铁架出库；）
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public int OutType { get; set; }

        /// <summary>
        /// 仓库编码
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string WareHouseId { get; set; }

        /// <summary>
        /// 备用
        /// </summary>
        public string Memo1 { get; set; }

        /// <summary>
        /// 备用 空托盘类型0，1，2，3
        /// </summary>
        public string Memo2 { get; set; }

        /// <summary>
        /// OutId
        /// </summary>
        public string OutId { get; set; }

        /// <summary>
        /// 熟化时间(小时：10,16)
        /// </summary>
        public decimal TASK_MatureDate { get; set; }

        /// <summary>
        /// 熟化温度(小数)
        /// </summary>
        public decimal TASK_MatureTemperat { get; set; }
    }
}
