﻿using System.ComponentModel.DataAnnotations;

namespace WCS.WebApi.WMS.Request
{
    /// <summary>
    /// 分配货位请求实体
    /// </summary>
    public class I_WCS_GetWareCellRequest
    {
        /// <summary>
        /// WMS任务号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string WMSTaskNum { get; set; }

        /// <summary>
        /// 巷道号
        /// </summary>
        public string TunnelNum { get; set; }

        /// <summary>
        /// 取货地点设备编号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string PickUpEquipmentNo { get; set; }

        /// <summary>
        /// 货叉（1，货叉1（左）；2，货叉2（右））
        /// </summary>
        public WareCellForkNum ForkNum { get; set; }

        /// <summary>
        /// 备用
        /// </summary>
        public string Memo1 { get; set; }

        /// <summary>
        /// 备用
        /// </summary>
        public string Memo2 { get; set; }
    }

    /// <summary>
    /// 申请货位任务对应的货叉
    /// </summary>
    public enum WareCellForkNum : int
    {
        货叉1 = 1,
        货叉2 = 2,
    }
}
