﻿using System;
using System.ComponentModel.DataAnnotations;

namespace WCS.WebApi.WMS.Request
{
    public class I_WCS_PutTaskStepRequest
    {
        /// <summary>
        /// WMS任务号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string WMSTaskNum { get; set; }

        /// <summary>
        /// 任务状态
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public int TaskStatus { get; set; }

        /// <summary>
        /// WCS操作人名称
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string WCSUpdateName { get; set; }

        /// <summary>
        /// 备用
        /// </summary>
        public string Memo1 { get; set; }

        /// <summary>
        /// 备用
        /// </summary>
        public string Memo2 { get; set; }
    }

    public class I_WCS_TASKRequest
    {
        public int TASK_NO { get; set; }

        /// <summary>
        /// WMS任务号
        /// </summary>
        public string TASK_WMSNO { get; set; }

        public int TASK_COMTYPE { get; set; }
        public string TASK_SYSTYPE { get; set; }
        public string TASK_POSIDFROM { get; set; }
        public string TASK_POSIDCUR { get; set; }

        public string TASK_POSIDNEXT { get; set; }
        public string TASK_POSIDTO { get; set; }
        public string TASK_POSIDMOVE { get; set; }
        public int TASK_PRIORITY { get; set; }
        public int TASK_WKSTATUS { get; set; }
        public string TASK_WHID { get; set; }
        public string TASK_ADDUSERNO { get; set; }
        public DateTime TASK_ADDDATETIME { get; set; }
        public string TASK_EDITUSERNO { get; set; }
        public DateTime TASK_EDITDATETIME { get; set; }
        public string TASK_NOTES { get; set; }
        public string TASK_SRMNO { get; set; }

        /// <summary>
        /// rgv编号
        /// </summary>
        public string TASK_RGVNO { get; set; }

        public int TASK_ORDERTYPE { get; set; }
        public string TASK_BOXBARCODE { get; set; }

        /// <summary>
        /// 起始巷道号
        /// </summary>
        public string TASK_FromTunnelNum { get; set; }

        /// <summary>
        /// 目标巷道号
        /// </summary>
        public string TASK_EndTunnelNum { get; set; }

        /// <summary>
        /// 进入熟化房时间
        /// </summary>
        public DateTime? TASK_InMatureRoomDate { get; set; }

        /// <summary>
        /// 离开熟化房时间
        /// </summary>
        public DateTime? TASK_OutMatureRoomDate { get; set; }

        /// <summary>
        /// 预分配堆垛机出口输送线编号
        /// </summary>
        //public string TASK_SRMOUTCONVNO { get; set; }
        public string TASK_ITEM1 { get; set; }

        public string TASK_ITEM2 { get; set; }
        public string TASK_ITEM3 { get; set; }
        public string TASK_ITEM4 { get; set; }
        public string TASK_ITEM5 { get; set; }
        public string TASK_ITEM6 { get; set; }
        public string TASK_ITEM7 { get; set; }
        public string TASK_ITEM8 { get; set; }
        public string TASK_ITEM9 { get; set; }
        public string TASK_ITEM10 { get; set; }
        public string TASK_ITEM11 { get; set; }
        public string TASK_ITEM12 { get; set; }
        public string TASK_ITEM13 { get; set; }
        public string TASK_ITEM14 { get; set; }
        public string TASK_ITEM15 { get; set; }

        /// <summary>
        /// 重量
        /// </summary>
        public decimal TASK_GrossWeight { get; set; }

        /// <summary>
        /// 是否缠膜(1.缠膜；0.不缠膜)
        /// </summary>
        public bool TASK_IsWrapFilm { get; set; }

        public int Size { get; set; }
    }
}
