﻿using System.Collections.Generic;

namespace WCS.WebApi.WMS.Response
{
    /// <summary>
    /// 获取出库任务返回结果
    /// </summary>
    public class I_WCS_GetOutTaskResponse : WcsContractApiResponse
    {
        /// <summary>
        /// 结果
        /// </summary>
        public new bool ResType { get; set; }

        /// <summary>
        /// 消息
        /// </summary>
        public new string ResMessage { get; set; }

        /// <summary>
        /// 返回任务
        /// </summary>
        public List<I_WCS_GetOutTaskResponseSingle> WMSTasks { get; set; }
    }

    /// <summary>
    /// 返回任务项
    /// </summary>
    public class I_WCS_GetOutTaskResponseSingle
    {
        /// <summary>
        /// WMS任务号
        /// </summary>
        public string WMSTaskNum { get; set; }

        /// <summary>
        /// 任务类型(1：入库2：出库3：移库4：移动(搬运) 5：异常)
        /// </summary>
        public int TaskType { get; set; }

        /// <summary>
        /// 出库货位
        /// </summary>
        public string OutWareCellNo { get; set; }

        /// <summary>
        /// 仓库名称
        /// </summary>
        public string WareHouseName { get; set; }

        /// <summary>
        /// 容器条码
        /// </summary>
        public string ContainerBarCode { get; set; }

        /// <summary>
        /// 行
        /// </summary>
        public int Row { get; set; }

        /// <summary>
        /// 列
        /// </summary>
        public int Colomn { get; set; }

        /// <summary>
        /// 层
        /// </summary>
        public int Layer { get; set; }

        /// <summary>
        /// 巷道号
        /// </summary>
        public string TunnelNum { get; set; }

        /// <summary>
        /// 站台号  堆垛机放货站台
        /// </summary>
        public string Memo1 { get; set; } = "";

        /// <summary>
        /// 备用
        /// </summary>
        public string Memo2 { get; set; } = "";

        /// <summary>
        /// 备用
        /// </summary>
        public string Memo3 { get; set; } = "";

        /// <summary>
        /// 备用
        /// </summary>
        public string Memo4 { get; set; } = "";

        /// <summary>
        /// 备用
        /// </summary>
        public string Memo5 { get; set; } = "";

        /// <summary>
        /// 机械手：子托盘的尺寸编码
        /// </summary>
        public string PalletizingSonTraySize { get; set; }

        /// <summary>
        /// 机械手：码垛的箱子尺寸编码
        /// </summary>
        public string PalletizingBoxSize { get; set; }

        /// <summary>
        /// 子托盘颜色编号(1蓝:,2:白,3:绿)
        /// </summary>
        public int SonTrayColorNo { get; set; }

        /// <summary>
        /// 垛型代码
        /// </summary>
        public int TASK_STACKINGTYPE { get; set; }

        /// <summary>
        /// 整箱毛重
        /// </summary>
        public decimal TASK_WEIGHT { get; set; }

        /// <summary>
        /// 熟化时长
        /// </summary>
        public decimal MatureDateLength { get; set; }

        /// <summary>
        /// 卷长度
        /// </summary>
        public decimal Length { get; set; }
    }
}
