﻿using DbHelper;
using System;
using WCS.Entity;
using WCS.Entity.Protocol;

namespace WCS.Service.Extensions
{
    public static class WCS_TaskExtensions
    {
        /// <summary>
        /// 任务发生状态变更时，为任务新增状态变更记录
        /// </summary>
        /// <param name="task">对应任务</param>
        /// <param name="db">db链接， 没有从新构造一个db的原因是为了保证状态记录的增加与任务状态的变更是同步的</param>
        /// <param name="msg">需要记录的消息</param>
        public static void CreateStatusLog(this WCS_TASK task, Db db, string msg, Type cl)
        {
            try
            {
                WCS_StatusLog statusLog = new WCS_StatusLog()
                {
                    WCS_TASKID = task.ID,
                    NewStatus = task.STATUS,
                    UPDATETIME = DateTime.Now,
                    upStatus = task.UPLOADED,
                    Node = cl.FullName,
                    UPDATEUSER = "WCS",
                    msg = msg,
                };
                db.Default.Insertable(statusLog).ExecuteCommand();
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
            }
        }
    }
}
