﻿using DbHelper;
using Log;
using System;
using WCS.Entity;
using WCS.WebApi.WMS;

namespace WCS.Service
{
    public class Uploader
    {
        public static void Upload(Db db)
        {
            try
            {
                var tasks = db.Default.Queryable<WCS_TASK>().Where(v => v.WMSTASK > 0)
                    .Where(v => v.STATUS != v.UPLOADED).ToArray();
                foreach (var task in tasks)
                {
                    try
                    {
                        WMS.UpdateTask(task.ADDRNEXT, task.WMSTASK, (int)task.STATUS, task.HEIGHT);
                        var st = task.UPLOADED;
                        task.UPLOADED = task.STATUS;
                        InfoLog.INFO_SYTASKSTATUS($"[{task.ID}]---old:[{st}]-new:[{task.UPLOADED}]---{task.HEIGHT}");
                    }
                    catch (Exception ex)
                    {
                        Console.WriteLine($"上传任务状态失败:WCS任务号{task.ID},{ex.Message}");
                    }
                }

                db.Default.Updateable(tasks).ExecuteCommand();
            }
            catch
            {
                // ignored
            }
        }
    }
}
